

function OnInit() //run upon initialization
	
	//hint to the path-finding system that it can ignore this while computing paths if it needs to
	this:SetIsCreature(true); 
end

function OnPostInit() //run after being placed on a map

	this:GetBrainManager():Add("StandardBase","");
	
	AddPatrolGoals();
	
end

function OnKill() //run when removed

end

function AddPatrolGoals()

	//let's make him move to the four checkpoints
	
	this:GetGoalManager():AddApproach(GetEntityByName("point1"):GetID(), C_DISTANCE_CLOSE);
	this:GetGoalManager():AddApproach(GetEntityByName("point2"):GetID(), C_DISTANCE_CLOSE);
	this:GetGoalManager():AddApproach(GetEntityByName("point3"):GetID(), C_DISTANCE_CLOSE);
	this:GetGoalManager():AddApproach(GetEntityByName("point4"):GetID(), C_DISTANCE_CLOSE);
	
	this:GetGoalManager():AddSay("All done", C_FACING_NONE);
end